org.apache.calcite.avatica.remote

## Interface UsernamePasswordAuthenticateable

All Known Implementing Classes:
  AvaticaCommonsHttpClientImpl, AvaticaCommonsHttpClientSpnegoImpl

    public interface UsernamePasswordAuthenticateable

Interface that allows configuration of a username and password with some HTTP authentication.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setUsernamePassword(AuthenticationType authType, String username, String password)` Sets the username, password and method to be used for authentication.

### Method Detail

#### setUsernamePassword

    void setUsernamePassword(AuthenticationType authType,
                             String username,
                             String password)

Sets the username, password and method to be used for authentication.

Parameters:
  `authType` - Type of authentication
  `username` - Username
  `password` - Password